Oracle Java SE 1.7.0_301 / 1.8.0_291 / 1.11.0_11 / 1.16.0_1 多个漏洞 (Unix 2021 年 4 月 CPU)

medium Nessus 插件 ID 148961
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程主机受到多个漏洞影响。

描述

远程主机上安装的 Oracle(旧称 Sun)Java SE 或 Java for Business 的版本低于 7 Update 301、11 Update 11 或 16 Update 1。因此,该应用程序受到 2021 年 4 月 CPU 公告中提及的多个漏洞的影响:

- Java SE、SE Embedded 和 Oracle GraalVM Enterprise Edition 中的一个漏洞允许未经身份验证的远程攻击者破坏系统,从而导致在未经授权的情况下对关键数据进行创建、删除或修改访问。(CVE-2021-2161)

- Java SE、SE Embedded 和 Oracle GraalVM Enterprise Edition 中的一个漏洞允许未经身份验证且与除攻击者以外的他人进行交互的远程攻击者破坏系统,从而导致在未经授权的情况下对关键数据进行创建、删除或修改访问。(CVE-2021-2163)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

根据 2021 年 4 月 Oracle 关键补丁更新公告,应用相应的补丁。

另见

https://www.oracle.com/a/tech/docs/cpuapr2021cvrf.xml

https://www.oracle.com/security-alerts/cpuapr2021.html#AppendixJAVA

插件详情

严重性: Medium

ID: 148961

文件名: oracle_java_cpu_apr_2021_unix.nasl

版本: 1.6

类型: local

代理: unix

系列: Misc.

发布时间: 2021/4/23

最近更新时间: 2021/6/30

依存关系: sun_java_jre_installed_unix.nasl

风险信息

CVSS 分数来源: CVE-2021-2161

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.2

矢量: AV:N/AC:M/Au:N/C:N/I:P/A:N

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: Medium

基本分数: 5.9

时间分数: 5.2

矢量: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/a:oracle:jre, cpe:/a:oracle:jdk

必需的 KB 项: Host/Java/JRE/Installed

易利用性: No known exploits are available

补丁发布日期: 2021/4/20

漏洞发布日期: 2021/4/20

参考资料信息

CVE: CVE-2021-2161, CVE-2021-2163

IAVA: 2021-A-0195